body {
  background-color: #000;

}

.landscape {
  transform: rotate(90deg);
  height: 100vw !important;
  width: 100vh !important;
  transform-origin: 0% 100%;
  top: -100vw !important;
}

#loading {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 10rem;
  z-index: 100;
}

#loading>div {
  width: 60%;
  height: 0.5rem;
  border-radius: 8px;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  background: #999;
  text-align: left;
  overflow: hidden;
  box-shadow: inset 1px 1px 2px #666;
  line-height: 0;
}

#loading>div>span {
  display: inline-block;
  border-radius: 7px;
  height: 100%;
  width: 100%;
  background: linear-gradient(90deg, #e8e542 50%, #fff 60%, #9b8400 70%);
  background-size: 500% 500%;
  animation: gradient 3s ease infinite;
  transform: rotate(180deg);
}

#loading2 {
  position: absolute;
  /* background: #0000002c; */
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 100;
}

#loading2 span {
  display: inline-block;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;

  width: 10rem;
  height: 3rem;
}

#loading2 span img {
  width: 3rem;
  height: 3rem;
  animation: loading 1s linear infinite;
}

#loading2 span p {
  color: #ccc;
  margin: 0;
  line-height: 2rem;
  text-shadow: 1px 1px 1px #000;
  display: none;
}

@keyframes loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 70% 50%;
  }

  99.9% {
    background-position: 150% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

.splash {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: 100%100%;
}

@media screen and (orientation: portrait) {

  .splash {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background-size: 100%100%;
  }
}

@media screen and (orientation: landscape) {

  .splash {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: 100%100%;
  }
}


/* .progress-bar {
    position: relative;
    left: 50%;
    top: 80%;
    transform: translate(-50%);
    width:61%;
    background: url('./images/progress-bg.png') no-repeat;
    background-size: 100% 100%;       
    position: relative;
    overflow: hidden;
    height: 26px;
    border-radius: 25px;
} */

.progress-bar div {
  position: absolute;
  width: 293px;
  left: -100%;
  display: block;
  height: 100%;
  /* border-radius: 3px; */
  /* box-shadow: 0 1px 0 rgba(255, 255, 255, .5) inset; */
  position: absolute;
  transition: left .4s ease-in-out;
  /* background-color: #34c2e3;     */
  background: url('./images/progress.png') no-repeat;
  background-size: 100% 100%;

}

.stripes span {
  background-size: 30px 30px;
  background-image: linear-gradient(135deg, rgba(255, 255, 255, .15) 25%, transparent 25%,
      transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%,
      transparent 75%, transparent);

  animation: animate-stripes 1s linear infinite;
}

input {
  border-radius: 10px !important;
}

.stress {
  /* border: 2px solid #f7fd6c !important; */
  border-radius: 10px !important;
  background-image: linear-gradient(to top, #f8fd6c44 20%, transparent 80%) !important;
  background-size: 100% 100% !important;
  background-repeat: no-repeat !important;
  overflow: hidden !important;
  animation: fadeInOut 1.5s ease-in-out infinite !important;
}

@keyframes fadeInOut {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes animate-stripes {
  0% {
    background-position: 0 0;
  }

  100% {
    background-position: 60px 0;
  }
}


#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.progress-container {
  position:absolute;
  width: 180px;
  height: 10px;
  background: #2d2518;
  border-radius: 10px;
  overflow: hidden;
  margin-top: 0px;
}

.progress-bar {
  width: 0px;
  height: 100%;
  background: #e0bc8c;
  border-radius: 10px;
  transition: width 0.2s;
}

.progress-text {
  margin-top: 10px;
  font-size: 18px;
}